import 'package:flutter/material.dart';

enum ResponseAction { CANCEL, RELOAD, CLOSE, CONTINUE }
enum ProcessStatus { SUCCESS, LOADING, FAIL, NONE }

class Const {
  static const Color COLOR_PRIMARY = Color.fromRGBO(15, 87, 163, 1);
  static const Color COLOR_SECONDARY = Color.fromRGBO(255, 229, 18, 1);
  static const Color COLOR_SUCCESS = Color.fromRGBO(40, 138, 55, 1);
  static const Color COLOR_GRAY = Color.fromRGBO(0, 0, 0, 0.5);
  static const Color COLOR_GRAY_LIGHT = Color.fromRGBO(0, 0, 0, 0.4);
  static const Color COLOR_GRAY_LIGHTER = Color.fromRGBO(0, 0, 0, 0.2);
  static const Color COLOR_BACKGROUND = Color.fromRGBO(0, 0, 0, 1);
  static const Color COLOR_TEXT = COLOR_GRAY;
  static const Color COLOR_TRANSPARENT_WHITE =
      Color.fromRGBO(255, 255, 255, 0.8);
  static const Color COLOR_TRANSPARENT_BLACK = Color.fromRGBO(0, 0, 0, 0.8);

  static const double RADIUS = 10.0;

  static const double SPACE_NONE = 0.0;
  static const double SPACE_XXS = 1.0;
  static const double SPACE_XS = 2.0;
  static const double SPACE_SM = 4.0;
  static const double SPACE_MD = 10.0;
  static const double SPACE = 16.0;
  static const double SPACE_LG = 18.0;
  static const double SPACE_XL = 24.0;
  static const double SPACE_XXL = 38.0;
  static const double SPACE_XXXL = 48.0;

  static const double FONT_XXS = 8.0;
  static const double FONT_XS = 10.0;
  static const double FONT_SM = 12.0;
  static const double FONT_MD = 14.0;
  static const double FONT = 16.0;
  static const double FONT_LG = 20.0;
  static const double FONT_XL = 24.0;
  static const double FONT_XXL = 32.0;
  static const double FONT_XXXL = 48.0;

  static const Duration timeout = Duration(seconds: 40);
}
